[<text>
<title>senators, prosecutor disagree on iran testimony</title>
<dateline>    washington, march 11 - </dateline>senators and a special prosecutor
were in dispute today over a legal maneuver to force quick
answers from key figures in the iran arms scandal and the
diversion of profits to nicaraguan rebels.
    senators on a special senate committee investigating the
scandal want to grant limited immunity from prosecution to
force early testimony from lt. col. oliver north and john
poindexter.
    north is the national security council (nsc) aide president
reagan fired november 25 for possibly illegal diversion of iran
arms payments to the so-called contra rebels. poindexter, who
was nsc director and north's boss, resigned the same day. 
    the washington post said over the weekend that poindexter
was ready to testify that he told reagan twice of the funds
diversion, contrary to reagan's denial that he knew of it.
    special prosecutor lawrence walsh said he asked a special
house committee yesterday to delay limited immunity for north
and poindexter for at least 90 days, and would make the same
request to the senate committee today.
    walsh said he was also urging the committees to delay
granting immunity for a third key figure, retired air force
maj. gen. richard secord, a close north associate.
    walsh, whose job is to determine whether anyone should be
prosecuted for criminal misconduct, said premature immunity
could put the three beyond the law before a grand jury can
decide whether they should be prosecuted.
 reuter
</text>]